petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscRegisterFinalize

Registers a function that is to be called in PetscFinalize()

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscRegisterFinalize(PetscErrorCode (*f)(void))

Not Collective Many br

### Input Parameter

PetscErrorCode (*fun)(void) - Many br

Many br

### Notes

This is used by, for example, DMInitializePackage() to have DMFinalizePackage() called Many br

### See Also

PetscRegisterFinalizeAll()

Level:developer
Location:src/sys/objects/destroy.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages